<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Ausgaben\SammelEMail\AnDozenten;

abstract class SendSammelEMailController extends \Kufer\Web\KuferTools\Ausgaben\SammelEMail\SendSammelEMailController
{
  protected function getNewRequestObj()
  {
    return new SendSammelEMailRequest();
  }

  protected function getRequestObj()
  {
    $requestObj = $this->getNewRequestObj();
    
    $this->getRequestCommonPart($requestObj);

    
    $requestObj->dozNummern = \PostOperations::getVarValue('dozenten', array());
    $requestObj->anhangTnList = \PostOperations::isDefined('anhangTnList');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new SendSammelEMailPresenter($pUseCaseResponse);
  }
}